ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.Fixity.Env

Synopsis

- type FixityEnv = NameEnv FixItem
- data FixItem = FixItem OccName Fixity
- emptyFixityEnv :: FixityEnv
- lookupFixity :: FixityEnv -> Name -> Fixity
- mkIfaceFixCache :: [(OccName, Fixity)] -> OccName -> Maybe Fixity
- emptyIfaceFixCache :: OccName -> Maybe Fixity

# Documentation

type FixityEnv = NameEnv FixItem #

Fixity environment mapping names to their fixities

data FixItem #

Fixity information for an `Name`. We keep the OccName in the range so that we can generate an interface from it

Constructors

FixItem OccName Fixity |

#### Instances

Instances details

Outputable FixItem # |
Instance details Defined in GHC.Types.Fixity.Env Methods ppr :: FixItem -> SDoc #

emptyFixityEnv :: FixityEnv #

lookupFixity :: FixityEnv -> Name -> Fixity #

mkIfaceFixCache :: [(OccName, Fixity)] -> OccName -> Maybe Fixity #

Creates cached lookup for the `mi_fix_fn` field of `ModIface`

emptyIfaceFixCache :: OccName -> Maybe Fixity #